@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Arimo:ital,wght@0,400..700;1,400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Arimo:ital,wght@0,400..700;1,400..700&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');


:root {
    --transition: 400ms;
    --bentwi-gradient-rotation: 135deg;
    
    /* Layout */
    --sidebar-width: 280px;
    --navigation-height: 65px;
    --docs-header-height: 120px;
    --ui-rounding: .75rem;
    --gap: 1rem;
}

:root, 
:root[data-theme="dark"] {
    --shadow: 0 0 20px rgba(1, 0, 1);
    --primary: #040305;
    --secondary: #f8f8f8;
    --accent: #654EA3;
    --text-primary: #f8f8f8;
    --text-secondary: #040305;
    --user-primary: rgba(252, 64, 64, 0.3);
    --bentwi-gradient: linear-gradient(var(--bentwi-gradient-rotation), #53c8db, #32c190);
    --default-user-color: #94A4C4;
    --image-invert: 0;
}

:root[data-theme="light"] {
    --shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    --primary: #f8f8f8;
    --secondary: #040305;
    --accent: #654EA3;
    --text-primary: #040305;
    --text-secondary: #f8f8f8;
    --user-primary: rgba(252, 64, 64, 0.15);
    --bentwi-gradient: linear-gradient(var(--bentwi-gradient-rotation), #32c190, #53c8db);
    --default-user-color: #4a5a7a;
    --image-invert: 1;
}

:root[data-theme="pastel"] {
    --shadow: 0 4px 20px rgba(138, 120, 120, 0.15);
    --primary: #FAECEB;
    --secondary: #3A3232;
    --accent: #D98880;
    --text-primary: #3A3232;    
    --text-secondary: #FAECEB;  
    --user-primary: rgba(217, 136, 128, 0.3); 
    --bentwi-gradient: linear-gradient(var(--bentwi-gradient-rotation), #E6B0AA, #D7BDE2);
    --default-user-color: #A99393;
    --image-invert: 1;
}

nav.sidebar-nav{
    margin-top: calc(var(--navigation-height));
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

    transition: 300ms ease;
}

body {
    line-height: 1.6;
    color: var(--secondary);
    background-color:var(--primary);
    font-weight: 500 !important;
    font-family: 'Arimo', sans-serif !important;

    display: flex;
    align-items: center;
    justify-content: center;

    overflow-x: hidden;

    width: 100vw;
    height: 100vh;
}


.bg-bentwi-grad{
    background: var(--bentwi-gradient);
}


a{
    text-decoration: underline 2px solid var(--accent);
    color: var(--secondary);
    transition: var(--transition);
}

.button {
  position: relative;
  overflow: hidden;
  height: 3rem;
  padding: 0 2rem;
  border-radius: 1.5rem;
  background: #3d3a4e;
  background-size: 400%;
  color: #fff;
  border: none;
  cursor: pointer;
}

.button:hover::before {
  transform: scaleX(1);
}

.button-content {
  position: relative;
  z-index: 1;
}

.button::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  transform: scaleX(0);
  transform-origin: 0 50%;
  width: 100%;
  height: inherit;
  border-radius: inherit;
  background: linear-gradient(
    82.3deg,
    rgba(150, 93, 233, 1) 10.8%,
    rgba(99, 88, 238, 1) 94.3%
  );
  transition: all 0.475s;
}


.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.hero-section {
    position: relative;
    height: 100vh;
    background: linear-gradient(
          rgba(0, 0, 0, 0.5)
        ), url('https://www.skykopf.de/media/graphics/skykopf.safezones.png') no-repeat center center/cover;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    overflow: hidden;
    border-radius: 0;
    transition: var(--transition);
}


.linkHover:hover{
    text-shadow: 0 0 10px var(--primary), 2px 2px 2px var(--user-primary);
}


.hero-content h1 {
    font-size: 4em;
    margin-bottom: 20px;
    letter-spacing: 15px;
    text-shadow: var(--shadow);
    filter: drop-shadow();
}

.hero-content h3 {
    font-size: 2em;
    margin-bottom: 20px;
    letter-spacing: 3px;
    text-shadow: var(--shadow);
    opacity: 0.6;
    text-transform: capitalize;
}

.headerArrow{
    position: absolute;
    bottom: 30px;
    font-size: 35px;
    animation: float 4s infinite cubic-bezier(.35,.5,0,1);
    transition: var(--transition);
}



/* General Section Styling */
section {
    padding: 80px 0;
    text-align: center;
    overflow: hidden;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    position: relative;
}

.section-header{
    width: 90%;
    height: 90px;
    border-radius: 0.5rem;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
}

.section-banner{
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
}

.section-header-text{
    position: absolute;
    z-index: 3;
    color: var(--primary);
    font-weight: 800;
    font-size: 1.5rem;
    letter-spacing: 10px;
}

.secondary-text{
    font-size: 3rem;
    color: rgba(255, 255, 255, 0.4);
    -webkit-text-stroke: 1px;
    -webkit-text-stroke-color: var(--primary);
    z-index: 2;
    letter-spacing: 20px;
    opacity: 0.5;
    
    transform: rotate(180deg);
}

.section-header h2 {
    font-size: 2.5em;
    position: relative; /* For underlines or effects */
}

.end-section{
    text-shadow: 0 0 15px var(--user-primary);
}


.connectServiceButton {
  display: flex;
  background-color: #fc4040;
  color: var(--text-primary);
  padding: 0.5rem 1.4rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 700;
  text-align: center;
  vertical-align: middle;
  align-items: center;
  border-radius: 0.5rem;
  gap: 0.75rem;
  border: none;
  cursor: pointer;
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  transition: .6s ease;
}

.connectServiceButton svg {
  height: 30px;
}

.connectServiceButton:hover {
  box-shadow: none;
}